### Configurar makepkg

#### Definir PACKAGER

    sed -e 's|#PACKAGER="John Doe <john@doe.com>"|PACKAGER="Libre U. <user@email.domain>"|' -i /etc/makepkg.conf

#### Definir GPG-ID PACKAGER

    sed -e 's|#GPGKEY=""|GPGKEY="user-id"|' -i /etc/makepkg.conf

### Generar nuevas sumas

    updpkgsums

### Limpiar librechroot

    sudo librechroot clean-repo

### Construir entornos:

    sudo librechroot -A x86_64 -n x86_64 make

    sudo librechroot -A i686 -n i686 make

### Entrar a la Jaula

    sudo librechroot -n x86_64 enter

    sudo librechroot -n i686 enter

### Compilar:

    sudo libremakepkg -n x86_64

    sudo libremakepkg -n i686

### Actualizar jaula

    sudo librechroot update

    sudo librechroot -n i686 update

### Habilitanado internet durante la compilación

    sudo libremakepkg -N


### Subiendo paquete

    librestage <grupo>

### Escribir parche

    git diff --no-prefix --no-index --no-renames --binary a b > parche.patch


> <grupo> repo en donde poner el paquete ej. core, extra, community

    librerelease
